#
# spec file for package tree-sitter-c
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define         _name c
Name:           tree-sitter-c
Version:        0.23.4
Release:        1.2
Summary:        C grammar for tree-sitter
License:        MIT
URL:            https://github.com/tree-sitter/tree-sitter-c
Source0:        %{url}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  tree-sitter
%treesitter_grammars %{_name}

%description
%{summary}.

%prep
%autosetup

%build
%treesitter_configure
%treesitter_build

%install
%treesitter_install
%treesitter_devel_install

#neovim stuff
install -d %{buildroot}%{_libdir}/tree_sitter
ln -s %{_libdir}/lib%{name}.so %{buildroot}%{_libdir}/tree_sitter/%{_name}.so

%files
%license LICENSE
%treesitter_files
%{_libdir}/tree_sitter/%{_name}.so
%if 0%{?suse_version} < 1600
%dir %{_libdir}/tree_sitter
%endif

%treesitter_devel_package

%changelog
* Tue Dec 31 2024 Richard Rahl <rrahl0@opensuse.org>
- update to 0.23.4:
  * generate with 0.24.5
- update to 0.23.3:
  * update deps
* Wed Dec  4 2024 Richard Rahl <rrahl0@opensuse.org>
- update to 0.23.2:
  * build: update bindings
  * fix: go mod
  * build: update for 0.24
- update to 0.23.1:
  * fix: support __attribute
  * fix: allow the output operand value to be an expression
  * fix: allow 1 character in hex escape sequences
  * fix: allow type qualifiers after sized type specifiers
  * fix: allow empty expression statements at the top level
  * feat: migrate to eslint-config-treesitter
  * feat: allow attribute specifers after a parameter's declarator
  * feat: allow __volatile__ in asm qualifiers
- update to 0.23.0:
  * build: update bindings
  * feat: add extension_expression
  * feat: allow compound statements in parenthesized expressions
  * feat: allow declarations in labeled statements
  * fix(go): correct test
  * chore: fix line endings
  * feat: support __asm in asm expressions
  * feat: support the _Nonnull clang attribute
- switch to download_files service, as nothing special happens with
  the sources
- enable devel package
* Fri Jul 26 2024 Richard Rahl <rrahl0@opensuse.org>
- Update to version 0.21.4:
  * feat: support the `alignas` type qualifier
  * feat: support `static` in array declarations
- Update to version 0.21.3:
  * build: update dependencies
- Update to version 0.21.2:
  * fix: remove the unnecessary `seq` around variadic_parameter
* Mon Apr 29 2024 Björn Bidar <bjorn.bidar@thaodan.de>
- Update to version 0.21.0:
  * fix: ms call modifier missing in some spots
  * fix: allow ms pointer modifiers in abstract pointer declarators
  * fix: ternary consequences can have comma expressions
  * fix: asm strings can be concatenated
* Mon Feb 26 2024 Björn Bidar <bjorn.bidar@thaodan.de>
- Initial packaging for openSUSE
- Update to version 0.20.8:
  * fix: allow function definitions to contain preproc attributes
  * fix: improve concatenated_string
  * fix: properly suffix elifdef
  * fix: allow preproc calls in enumerator list items
  * feat: allow preprocessor directives inside enumerator lists
  * feat: multi-byte characters
  * fix: allow any position of sized type keywords
